botruntime
API ReferenceFiles API

List File Passages

List passages for a file

GET
/v1/files/{id}/passages

Path Parameters

id*string

File ID or Key

Query Parameters

nextToken?string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

pageSize?integer

Number of items to return per page (default 20, max 100)

limit?number

The maximum number of passages to return per request (optional, default: 20, max: 200).

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/files/string/passages"
{  "passages": [    {      "id": "string",      "content": "string",      "meta": {        "type": "chunk",        "subtype": "title",        "pageNumber": 0,        "position": 0,        "sourceUrl": "http://example.com"      }    }  ],  "meta": {    "nextToken": "string"  }}
{  "passages": [    {      "id": "string",      "content": "string",      "meta": {        "type": "chunk",        "subtype": "title",        "pageNumber": 0,        "position": 0,        "sourceUrl": "http://example.com"      }    }  ],  "meta": {    "nextToken": "string"  }}